{ pkgs, lib, ... }:
{
  services.ollama = {
    enable = true;
    acceleration = "cuda";
  };
  services.open-webui = {
    enable = lib.warn "open-webui disabled due to build failure. Should be fixed by #368411 #368790" false;
    environment = {
      DO_NOT_TRACK = "True";
      SCARF_NO_ANALYTICS = "True";
      OLLAMA_API_BASE_URL = "http://127.0.0.1:11434";
      WEBUI_AUTH = "False";
    };
    port = 11444;
  };
}
